spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Public Attributes | List of all members
spot::parsed_aut Struct Referencefinal
TωA (Transition-based ω-Automata) » TωA algorithms » Input/Output of TωA

Result of the automaton parser. More...

`#include <spot/parseaut/public.hh>`

Collaboration diagram for spot::parsed_aut:

## Public Member Functions
| parsed_aut (const std::string &str)
bool | format_errors (std::ostream &os)
| Format diagnostics produced by spot::parse_aut. More...

## Public Attributes
twa_graph_ptr | aut
| The parsed automaton. More...
kripke_graph_ptr | ks
| The parsed kripke structure. More...
bool | aborted = false
| Whether an HOA file was termined with `–ABORT` More...
spot::location | loc
| Location of the automaton in the stream. More...
parsed_aut_type | type = parsed_aut_type::Unknown
| Format of the automaton. More...
const std::string | filename
| Name of the stream (used for displaying syntax errors) More...
parse_aut_error_list | errors
| Syntax errors that occurred during parsing. More...

## Detailed Description

Result of the automaton parser.

## Member Function Documentation

bool spot::parsed_aut::format_errors | ( | std::ostream & | os | ) |

Format diagnostics produced by spot::parse_aut.

Parameters

  os | Where diagnostics should be output.

Returns
  `true` iff any diagnostic was output.

## Member Data Documentation

bool spot::parsed_aut::aborted = false

Whether an HOA file was termined with `–ABORT`

twa_graph_ptr spot::parsed_aut::aut

The parsed automaton.

May be null if the parser reached the end of the stream or a serious error. In the latter case, `errors` is non-empty. May also be null if the parser is used to parse a Kripke structure.

parse_aut_error_list spot::parsed_aut::errors

Syntax errors that occurred during parsing.

Note that the parser does not print any diagnostic. Deciding how to output those errors is up to you.

const std::string spot::parsed_aut::filename

Name of the stream (used for displaying syntax errors)

kripke_graph_ptr spot::parsed_aut::ks

The parsed kripke structure.

Used instead of `aut` when the parser is called with option want_kripke.

spot::location spot::parsed_aut::loc

Location of the automaton in the stream.

parsed_aut_type spot::parsed_aut::type = parsed_aut_type::Unknown

Format of the automaton.

The documentation for this struct was generated from the following file:

- spot/parseaut/public.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.